org.apache.lucene.expressions.js

## Enum VariableContext.Type

- java.lang.Object
- - java.lang.Enum<VariableContext.Type>
  - - org.apache.lucene.expressions.js.VariableContext.Type

All Implemented Interfaces:
  Serializable, Comparable<VariableContext.Type>

Enclosing class:
  VariableContext

    public static enum VariableContext.Type
    extends Enum<VariableContext.Type>

Represents what a piece of a variable does.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INT_INDEX` Brackets containing an integer index (ie an array).
`MEMBER` A member of the previous context (ie "dot" access).
`METHOD` Parenthesis represent a member method to be called.
`STR_INDEX` Brackets containing a string as the "index".

### Method Summary

All Methods Static Methods Concrete Methods
`static VariableContext.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VariableContext.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MEMBER

    public static final VariableContext.Type MEMBER

A member of the previous context (ie "dot" access).

#### STR_INDEX

    public static final VariableContext.Type STR_INDEX

Brackets containing a string as the "index".

#### INT_INDEX

    public static final VariableContext.Type INT_INDEX

Brackets containing an integer index (ie an array).

#### METHOD

    public static final VariableContext.Type METHOD

Parenthesis represent a member method to be called.

### Method Detail

#### values

    public static VariableContext.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VariableContext.Type c : VariableContext.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VariableContext.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null